ServerEvents.recipes(event => {
  event.remove({ output: 'ae2:vibration_chamber'})

event.shaped(
  Item.of(('8x ae2:certus_quartz_crystal')),
  [
    'ABA',
    'BAB',
    'ABA'
  ],
  {
    B: 'industrialupgrade:charged_quartz',
    A: 'industrialupgrade:itemdust/quartz_dust'
  }
)
event.shapeless(
  Item.of('ae2:charged_certus_quartz_crystal'), // arg 1: output
  [
    'ae2:certus_quartz_crystal',
    'industrialupgrade:charged_redstone'
  ]
)
event.shapeless(
  Item.of('2x ae2:fluix_crystal'), // arg 1: output
  [
    'industrialupgrade:charged_quartz',
    'industrialupgrade:charged_redstone',
    'ae2:charged_certus_quartz_crystal'
  ]
)
event.shapeless(
  Item.of('4x ae2:silicon'), // arg 1: output
  [
    'industrialupgrade:itemdust/calcium_phosphate_dust',
    'industrialupgrade:itemdust/silicon_dust'
  ]
)
event.shapeless(
  Item.of('8x ae2:silicon'), // arg 1: output
  [
    'industrialupgrade:itemdust/potassium_dust',
    'industrialupgrade:itemdust/silicon_dust',
    'industrialupgrade:itemdust/silicon_dust',
    'industrialupgrade:itemdust/silicon_dust',
    'industrialupgrade:itemdust/silicon_dust'
  ]
)
event.shaped(
  Item.of(('4x ae2:calculation_processor')),
  [
    ' A ',
    'BCB',
    ' A '
  ],
  {
    B: 'ae2:certus_quartz_crystal',
    A: 'ae2:silicon',
    C: 'industrialupgrade:crafting_elements/crafting_533_element'
  }
)
event.shaped(
  Item.of(('4x ae2:logic_processor')),
  [
    ' A ',
    'BCB',
    ' A '
  ],
  {
    B: 'minecraft:gold_ingot',
    A: 'ae2:silicon',
    C: 'industrialupgrade:crafting_elements/crafting_533_element'
  }
)
event.shaped(
  Item.of(('4x ae2:engineering_processor')),
  [
    ' A ',
    'BCB',
    ' A '
  ],
  {
    B: 'minecraft:diamond',
    A: 'ae2:silicon',
    C: 'industrialupgrade:crafting_elements/crafting_541_element'
  }
)
event.shaped(
  Item.of(('ae2:vibration_chamber')),
  [
    'BBB',
    'BCB',
    'BAB'
  ],
  {
    B: 'minecraft:iron_ingot',
    A: 'ae2:energy_acceptor',
    C: 'industrialupgrade:basemachine3/generator_iu'
  }
)


})